<template>
  <section :class="[classes, `bkgrd:${sectionColor}`]" :style="backgroundImage">
    <slot />

    <div
      v-if="hasCheckers"
      class="bottom-image"
      :class="{ 'grid-top': gridTop }"
    >
      <img :src="getImage('checkers_2880.svg')" alt="Checkers images" />
    </div>
  </section>
</template>

<script>
export default {
  props: {
    classes: String,
    sectionColor: String,
    gridTop: Boolean,
    backgroundImage: { type: Object, required: false },
    hasCheckers: { type: Boolean, required: false }
  },
  created() {
    // window.addEventListener("resize", this.handleCheckers);
    // window.addEventListener("load", this.handleCheckers);
  },
  beforeUnmount() {
    // window.removeEventListener("resize", this.handleCheckers);
    window.removeEventListener("load", this.handleCheckers);
  },
  mounted() {
    // this.handleCheckers();
  },
  data() {
    return {
      // checkersImage: "checkers.png"
    };
  },
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    }
    // handleCheckers() {
    //   const win_width = document.body.clientWidth;
    //   if (win_width > 1680) {
    //     this.checkersImage = "checkers_2880.svg";
    //   } else {
    //     this.checkersImage = "checkers.png";
    //   }
    // }
  }
};
</script>

<style lang="scss" scoped>
.grid-top {
  grid-row: 1/2;
}
.bottom-image {
  img {
    width: 100%;
    object-fit: cover;
    min-height: 2rem;
    max-width: max-content;

    @media all and (min-width: 768px) {
      min-height: 3rem;
    }
    @media all and (min-width: 1440px) {
      min-height: 7.562rem;
    }
  }
}
</style>
